--[[

Edit this file to create your own Goblin Rules!

Format (note the commas):
    soundname = {
        soundfile = "Path\\To\\Sound\\File",
        spellsuccess = {
            "Name of a spell which, upon success, will activate the soundfile.",
            "Name of a spell which, upon success, will activate the soundfile.",
            "Name of a spell which, upon success, will activate the soundfile."
        },
        spellsuccess_match = {
            "If any spell contains this substring, activate the soundfile."
        },
        spellbegin = {
            "Name of a spell which, upon begin casting, will activate the soundfile."
        },
        spellbegin_match = {
            "If any spell contains this substring, activate the soundfile."
        },
        auras = {
            "Name of a buff which, upon receiving, will activate the soundfile."
        },
        auras_match = {
            "If any buff contains this substring, activate the soundfile."
        }
    }
Add "_match" to match all spells/auras containing the substring.

If a spell is associated with multiple sounds, it will choose a random sound to be played.
Happy goblining!

]]

goblinmod_rules = {
    -- "AAAAAAAAH!"
    scream = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\1.ogg",
        spellsuccess = {
            "Goblin Glider",
            "To Infinity And Above",
            "Rocket Jump",
            "Heroic Leap",
            "Evasion",
            "Recklessness"
        },
        spellsuccess_match = {
            "Shout"
        },
        spellbegin = {
          "Barrage"  
        },
        auras = {
            "Lava",
            "Enrage",
            "Cauterize"
        }
    },

    -- Zany laugh
    zanylaugh = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\7.ogg",
        spellsuccess = {
            "Disengage",
            "Smoke Bomb",
            "Recklessness",
            "Distract",
            "Capacitor Totem"
        }
    },

    -- "I don't have time for this!"
    notime = {
        soundfile = "Sound/creature/GoblinMaleZanyNPC/GoblinMaleZanyNPCPissed03.ogg",
        auras = {
            "Nitro Boosts",
            "Rocket Boots"
        },
        spellsuccess = {
            "Sprint",
            "Shadowstep",
            "Blazing Speed"
        },
        spellbegin_match = {
            "Portal",
            "Teleport"
        }
    },

    -- "Full speed ahead!
    fullspeed = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\6.ogg",
        auras = {
            "Nitro Boosts",
            "Rocket Boots"
        },
        spellsuccess = {
            "Sprint",
            "Charge",
            "Shield Charge",
            "Spirit Walk",
            "Blazing Speed"
        },
        spellbegin = {
            "Warlord's Deathwheel",
            "Flying Machine",
            "Sky Golem"
        },
        spellbegin_match = {
            "Trike"
        }
    },

    -- "Goodnight!"
    goodnight = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperYesAttack1.mp3",
        spellbegin = {
            "Powershot",
            "Paint Target"
        },
        spellsuccess = {
            "Counter Shot",
            "Pummel",
            "Recklessness",
            "Capacitor Totem",
            "Meteor"
        }
    },

    -- "Do not run, we are your friends!"
    dontrun = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperYesAttack3.mp3",
        spellsuccess = {
            "Concussive Shot",
            "Wing Clip",
            "Hamstring",
            "Stampede",
            "Binding Shot",
            "Shadowstep"
        }
    },

    -- "We come in peace!"
    peace = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperYesAttack4.mp3",
        spellsuccess = {
            "Stampede",
            "Binding Shot"
        }
    },

    -- "Light the fuse!"
    fuse = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperYesAttack5.mp3",
        spellsuccess = {
            "Capacitor Totem",
            "G91 Landshark"
        },
        spellsuccess_match = {
            "Rocket"
        },
        spellbegin = {
            "Powershot",
            "Paint Target"
        },
        spellbegin_match = {
            "Bomb"
        }
    },

    -- "That'll be a blast!"
    blast = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperYes3.mp3",
        spellsuccess = {
            "Capacitor Totem",
            "G91 Landshark",
            "Combustion"
        },
        spellsuccess_match = {
            "Rocket",
            "Explosive"
        },
        spellbegin = {
            "Powershot",
            "Paint Target"
        }
    },

    -- "Candygram."
    candygram = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperPissed5.mp3",
        spellsuccess = {
            "Heroic Throw",
            "Heroic Leap",
            "Shattering Throw",
            "Deadly Throw",
            "Death from Above",
            "Capacitor Totem"
        },
        spellsuccess = {
            "G91 Landshark"
        },
        spellsuccess_match = {
            "Rocket",
            "Explosive"
        },
        spellbegin = {
            "Powershot",
            "Paint Target"
        }
    },

    -- "Hey!"
    hey = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperWhat2.mp3",
        spellsuccess = {
            "Counter Shot",
            "Pummel"
        }
    },

    -- "Wrecking crew here!"
    wrecking = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperWhat3.mp3",
        spellsuccess = {
            "Colossus Smash",
            "Berserker Rage",
            "Death from Above",
            "Mirror Image"
        },
        spellsuccess_match = {
            "Explosive",
            "Rocket",
            "Elemental Totem"
        },
        spellbegin_match = {
            "Bomb"
        },
        auras = {
            "Enrage"
        }
    },

    -- "Primed and ready."
    primed = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperWhat4.mp3",
        spellsuccess = {
            "Preparation",
            "Capacitor Totem",
            "Combustion"
        },
        spellsuccess_match = {
            "Bestial Wrath",
            "Trap"
        },
        spellbegin_match = {
            "Bomb"
        },
        auras = {
            "Heroism",
            "Bloodlust",
            "Time Warp"
        }
    },

    -- "Are you threatening me?"
    threat = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\3.ogg",
        spellsuccess = {
            "Bestial Wrath",
            "Taunt",
            "Smoke Bomb",
            "Evasion",
            "Vanish",
            "Shield Barrier"
        }
    },

    -- "I laugh in the face of danger."
    danger = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\9.ogg",
        spellsuccess = {
            "Bestial Wrath",
            "Deterrence",
            "Ignore Pain",
            "Shield Barrier",
            "Combat Readiness",
            "Dispersion",
            "Pain Suppression"
        },
        auras = {
            "Enrage"
        }
    },

    -- "Aaah! You scared me!"
    scared = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\10.ogg",
        spellsuccess = {
            "Distract"
        },
        auras_match = {
            "Fear",
            "Psychic Scream",
            "Horror",
            "Howl of Terror",
            "Intimidating"
        }
    },

    -- "I'm going to die."
    die = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\15.ogg",
        spellsuccess = {
            "Feign Death",
            "Last Stand"
        },
        auras = {
            "Lava",
            "Cheat Death"
        }
    },
    
    -- "Wooh!"
    woo = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\4.ogg",
        spellsuccess = {
            "Goblin Glider",
            "Vanish"
        }
    },
    
    -- "They all look like ants from here."
    ants = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\11.ogg",
        spellsuccess = {
            "Goblin Glider"
        }
    },
    
    -- "Broom!"
    broom = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\8.ogg",
        spellsuccess = {
            "Goblin Glider",
            "Spirit Walk"
        },
        spellbegin = {
            "Warlord's Deathwheel",
            "Flying Machine",
            "Sky Golem"
        },
        spellbegin_match = {
            "Trike"
        }
    },
    
    -- "Mmm, shiny buttons."
    buttons = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Zeppelin\\12.ogg",
        spellbegin = {
            "Paint Target"
        }
    },
    
    -- "Package for Mr..."
    package = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperPissed6.mp3",
        spellbegin_match = {
            "Powershot",
            "Paint Target",
            "Bomb"
        }
    },
    
    -- "Flowers for Mrs..."
    flowers = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperPissed7.mp3",
        spellbegin_match = {
            "Powershot",
            "Paint Target",
            "Bomb"
        }
    },
    
    -- "Off we go!"
    offwego = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperYes4.mp3",
        spellsuccess = {
            "Goblin Glider"
        },
        spellbegin = {
            "Warlord's Deathwheel",
            "Flying Machine",
            "Sky Golem"
        },
        spellbegin_match = {
            "Portal",
            "Teleport",
            "Trike"
        }
    },
    
    -- "Time is money, friend."
    timeismoney = {
        soundfile = "Sound/creature/GoblinMaleZanyNPC/GoblinMaleZanyNPCGreeting01.ogg",
        spellsuccess = {
            "Pack Hobgoblin",
            "Sprint",
            "Aspect of the Pack",
            "Aspect of the Cheetah"
        },
        spellbegin_match = {
            "Portal",
            "Teleport"
        },
        auras = {
            "Nitro Boosts"
        }
        
    },
    
    -- "Yo."
    yo = {
        soundfile = "Sound/creature/GoblinMaleZanyNPC/GoblinMaleZanyNPCGreeting06.ogg",
        spellsuccess = {
            "Pack Hobgoblin"
        }
    },
    
    -- "Hello." (multiple)
    hellomany = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperReady1.mp3",
        spellsuccess = {
            "Mirror Image"
        }
    },
    
    -- "Destiny awaits!" (multiple)
    destinymany = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperWarcry1.mp3",
        spellsuccess = {
            "Mirror Image"
        }
    },
    
    -- "Yes? What? Hello?" (multiple)
    hellomany = {
        soundfile = "Interface\\AddOns\\GoblinMod\\Sapper\\GoblinSapperWhat1.mp3",
        spellsuccess = {
            "Mirror Image"
        }
    }
}